<?php
add_action('wp_ajax_nopriv_layerpro_add_layers', 'layerpro_add_layers');
add_action('wp_ajax_layerpro_add_layers', 'layerpro_add_layers');
function layerpro_add_layers(){
   // error_log("post data==".print_r($_POST,1));
   // $exploded_data = explode('&',$_POST['data']);
    parse_str($_POST['data'], $exploded_data);
   // error_log("post data==11111".print_r($exploded_data,1));
    $i = $exploded_data['layercount'];
    $slideid = $exploded_data['slideid'];
            $sd_defaults = array(
            'layers' => array(
                'sd_transition' => array( 'value' => '', 'keys' => 'transition', 'props' => array( 'meta' => true )),

		'sd_offsetx' => array(
			'value' => '10',
			'name' => __('OffsetX', 'slidedeck'),
			'keys' => 'offsetxin',
			'tooltip' => __("The horizontal offset to align the starting position of layers. Positive and negative numbers are allowed or enter left / right to position the layer out of the frame.", "slidedeck")
		),

		'sd_offsety' => array(
			'value' => '10',
			'name' => __('OffsetY', 'slidedeck'),
			'keys' => 'offsetyin',
			'tooltip' => __("The vertical offset to align the starting position of layers. Positive and negative numbers are allowed or enter top / bottom to position the layer out of the frame.", "slidedeck")
		),

		
		'sd_duration' => array(
			'value' => 1000,
			'name' => __('Duration', 'slidedeck'),
			'keys' => 'durationin',
			'tooltip' => __('The transition duration in milliseconds when the layer enters into the slide. A second equals to 1000 milliseconds.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 50 )
		),

		
		'sd_delay' => array(
			'value' => 1000,
			'name' => __('Delay', 'slidedeck'),
			'keys' => 'delayin',
			'tooltip' => __('Delays the transition with the given amount of milliseconds before the layer enters into the slide. A second equals to 1000 milliseconds.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 50 )
		),
                'sd_width' => array(
			'value' => 50,
			'name' => __('Width', 'slidedeck'),
			'keys' => 'sdwidth',
			'tooltip' => __('Width of image in percentage', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_rotate' => array(
			'value' => 0,
			'name' => __('Rotate In Degree', 'slidedeck'),
			'keys' => 'sdrotate',
			'tooltip' => __('Rotates the layer clockwise from the given angle to zero degree', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                
                'sd_scale' => array(
			'value' => 0,
			'name' => __('Scale Image', 'slidedeck'),
			'keys' => 'sdscale',
			'tooltip' => __("Scales the layer's width from the given value to its original size.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_skewx' => array(
			'value' => 0,
			'name' => __('Skew X', 'slidedeck'),
			'keys' => 'sdskewx',
			'tooltip' => __("Skews the layer along the horizontal axis from the given angle in degree.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_skewy' => array(
			'value' => 0,
			'name' => __('Skew Y', 'slidedeck'),
			'keys' => 'sdskewy',
			'tooltip' => __("Skews the layer along the vertical axis from the given angle in degree.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_easeino' => array(
			'value' => '',
			'name' => __('EaseIn', 'slidedeck'),
			'keys' => 'sdeasein',
			'tooltip' => __('The timing function of the animation. With this function you can manipulate the movement of the animated object.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_skewxo' => array(
			'value' => 0,
			'name' => __('Skew X', 'slidedeck'),
			'keys' => 'sdskewx',
			'tooltip' => __("Skews the layer along the horizontal axis from the given angle in degree.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_skewyo' => array(
			'value' => 0,
			'name' => __('Skew Y', 'slidedeck'),
			'keys' => 'sdskewy',
			'tooltip' => __("Skews the layer along the vertical axis from the given angle in degree.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_rotateo' => array(
			'value' => 0,
			'name' => __('Rotate In Degree', 'slidedeck'),
			'keys' => 'sdrotate',
			'tooltip' => __('Rotates the layer clockwise from the given angle to zero degree', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                
                'sd_scaleo' => array(
			'value' => 0,
			'name' => __('Scale Image', 'slidedeck'),
			'keys' => 'sdscale',
			'tooltip' => __("Scales the layer's width from the given value to its original size.", 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_offsetxo' => array(
			'value' => 10,
			'name' => __('OffsetX', 'slidedeck'),
			'keys' => 'offsetxin',
			'tooltip' => __("The horizontal offset to align the ending position of layers. Positive and negative numbers are allowed or enter left / right to position the layer out of the frame.", "slidedeck")
		),

		'sd_offsetyo' => array(
			'value' => 10,
			'name' => __('OffsetY', 'slidedeck'),
			'keys' => 'offsetyin',
			'tooltip' => __("The vertical offset to align the ending position of layers. Positive and negative numbers are allowed or enter top / bottom to position the layer out of the frame.", "slidedeck")
		),

		
		'sd_durationo' => array(
			'value' => 0,
			'name' => __('Duration', 'slidedeck'),
			'keys' => 'durationin',
			'tooltip' => __('The transition duration in milliseconds when the layer exits from the slide. A second equals to 1000 milliseconds.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 50 )
		),

		
		'sd_delayo' => array(
			'value' => 1000,
			'name' => __('Delay', 'slidedeck'),
			'keys' => 'delayin',
			'tooltip' => __('Delays the transition with the given amount of milliseconds before the layer exits from the slide. A second equals to 1000 milliseconds.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 50 )
		),
                'sd_family' => array(
			'value' => 'Arial',
			'name' => __('Font Family', 'slidedeck'),
			'keys' => 'sdfamily',
			'tooltip' => __('List of your chosen fonts separated with a comma. Please use apostrophes if your font names contains white spaces. Example: Helvetica, Arial, sans-serif', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_font' => array(
			'value' => '12',
			'name' => __('Font Size', 'slidedeck'),
			'keys' => 'sdfont',
			'tooltip' => __('The font size in pixels. Example: 16', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_color' => array(
			'value' => '',
			'name' => __('Color', 'slidedeck'),
			'keys' => 'sdcolor',
			'tooltip' => __('The color of your text. You can use color names, hexadecimal, RGB or RGBA values. Example: #fff', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_background' => array(
			'value' => '',
			'name' => __('Background', 'slidedeck'),
			'keys' => 'sdbackground',
			'tooltip' => __('The background color of your text. You can use color names, hexadecimal, RGB or RGBA values. Example: #fff', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_bkgwidth' => array(
			'value' => '',
			'name' => __('Width', 'slidedeck'),
			'keys' => 'sdbkgwidth',
			'tooltip' => __('The background width of your text in percentage.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_bkgheight' => array(
			'value' => '',
			'name' => __('Height', 'slidedeck'),
			'keys' => 'sdbkgheight',
			'tooltip' => __('The background height of your text in percentage.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_radius' => array(
			'value' => '',
			'name' => __('Radius', 'slidedeck'),
			'keys' => 'sdradius',
			'tooltip' => __('The rounded corners for your text in percentage.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_fstyle' => array(
			'value' => '',
			'name' => __('Font Style', 'slidedeck'),
			'keys' => 'sdfstyle',
			'tooltip' => __('The rounded corners for your text in percentage.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_fweight' => array(
			'value' => '',
			'name' => __('Font Weight', 'slidedeck'),
			'keys' => 'sdfweight',
			'tooltip' => __('The rounded corners for your text in percentage.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		),
                'sd_easein' => array(
			'value' => '',
			'name' => __('EaseIn', 'slidedeck'),
			'keys' => 'sdeasein',
			'tooltip' => __('The timing function of the animation. With this function you can manipulate the movement of the animated object.', 'slidedeck'),
			'attrs' => array( 'min' => 0, 'step' => 100 )
		)
)
);
    
    $file_content  = '';
    ob_start();
    if($exploded_data['layertype'] == 'image'){
        include(SLIDEDECK_LAYERPRO_DIRNAME .'/image-template.php');
    }
    elseif($exploded_data['layertype'] == 'text'){
        include(SLIDEDECK_LAYERPRO_DIRNAME .'/text-template.php');
    }
    $file_content = ob_get_contents();

    ob_get_clean ();
    echo json_encode(array('output'=>$file_content));
    die();
}
function if_isset( $key , $array, $default_value = false ){
        return isset( $array[$key] ) ? $array[$key][0] : $default_value;
    }
?>
