/**
 * SlideDeck Lens Admin Scripts
 * 
 * This script file will be loaded automatically in the SlideDeck edit view
 * of the WordPress control panel when this lens is chosen.
 * 
 * You must include all your JavaScript in the SlideDeckLensAdmin[LENS_SLUG]
 * function, or it will not be run when the Lens is chosen in real time by
 * the user in the editing view.
 */
(function($){
    var ajaxOptions = [];
    
    for(i = 0; i < ajaxOptions.length; i++){
        SlideDeckPreview.ajaxOptions.push(ajaxOptions[i]);
    }
    SlideDeckPreview.updates['options[navigation-position]'] = function($elem, value){
        SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'nav-pos-top ' + SlideDeckPrefix + 'nav-pos-bottom');
        SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + value);
    };
    
    SlideDeckPreview.updates['options[show-page-tear]'] = function($elem, value){
        value = value == 1 ? true : false;
        if(value){
            SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-page-tear');
        } else {
            SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-page-tear');
        }
    };
    
    SlideDeckPreview.updates['options[show-stitching]'] = function($elem, value){
        value = value == 1 ? true : false;
        if(value){
            SlideDeckPreview.elems.slidedeckFrame.addClass(SlideDeckPrefix + 'show-stitching');
        } else {
            SlideDeckPreview.elems.slidedeckFrame.removeClass(SlideDeckPrefix + 'show-stitching');
        }
    };
    
})(jQuery);